<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <targets>
    <!-- Target for exceptions -->
    <target name="exceptions" xsi:type="File" fileName="Logs/Errors/exceptions-${date:format=yyyy-MM-dd}.txt" layout="${longdate} [${level}] [Line: ${callsite-linenumber}] ${message} ${exception}"/>

    <!-- Target for logs -->
    <target name="file-enet" xsi:type="File" fileName="Logs/enet-log-${date:format=yyyy-MM-dd}.txt" />
    <target name="file-app" xsi:type="File" fileName="Logs/log-${date:format=yyyy-MM-dd}.txt" />

    
  </targets>
  <rules>
    <!-- Route exceptions to the 'exceptions' target -->
    <logger name="*" minlevel="Fatal" writeTo="exceptions" />

    <!-- Route other log messages to the 'file' target -->
    <logger name="file-app" minlevel="Trace" maxlevel="Error" writeTo="file-app" />
    <logger name="file-enet" minlevel="Trace" maxlevel="Error" writeTo="file-enet" />

    

  </rules>
</nlog>